rancid-cvs(1)

NAME
rancid-cvs - initialize CVS or Subversion and rancid group files and directories

SYNOPSIS
rancid-cvs [-V] [group [group ...]]

DESCRIPTION
rancid-cvs creates the directories and router.db(5) for each rancid group and handles the revision control system (CVS or Subversion) set-up. It must be run after installation and whenever a rancid group is added.

rancid-cvs reads rancid.conf(5) to configure itself, then proceeds with the initialization. First of the CVS or Subversion repository, if necessary, and then for each of the rancid groups listed on the command-line or those in the variable LIST_OF_GROUPS from rancid.conf(5), if the argument is omitted.

Running rancid-cvs for groups which already exist will not cause problems. If the group's directory already exists, the import into the revision control system will be skipped, and if it's router.db(5) already exists, it will not be altered.

The command-line options are as follows:

-V  Prints package name and version strings.

The best method for adding groups is add the group name to LIST_OF_GROUPS in rancid.conf(5), then run rancid-cvs. Do not create the directories manually, allow rancid-cvs to do it.

SEE ALSO
cvs(1), rancid.conf(5), router.db(5), svn(1)